## ros-foxy-fmi-adapter 2.1.1

=== debian/changelog ===
ros-foxy-fmi-adapter (2.1.1-1focal) focal; urgency=high

  * Adapted to statically typed parameters introduced in Galactic.

 -- Ralph Lange <ralph.lange@de.bosch.com>  Thu, 10 Jun 2021 22:00:00 -0000

ros-foxy-fmi-adapter (2.1.0-1focal) focal; urgency=high

  * Adapted launch files to API changes.

 -- Ralph Lange <ralph.lange@de.bosch.com>  Tue, 23 Mar 2021 23:00:00 -0000

ros-foxy-fmi-adapter (2.0.0-1focal) focal; urgency=high

  * Added function 'getValue' to return value of any given variable name
    Co-authored-by: Sebastian Zarnack <mailto:sebastian.zarnack@eas.iis.fraunhofer.de>
  * Improved readability of unit tests by chrono literals.
  * Replaced use of deprecated Duration ctor.
  * Added virtual to lifecycle callbacks, as in interface.

 -- Ralph Lange <ralph.lange@de.bosch.com>  Tue, 23 Mar 2021 23:00:00 -0000

ros-foxy-fmi-adapter (0.1.8-1focal) focal; urgency=high

  * Prepared for Foxy release.

 -- Ralph Lange <ralph.lange@de.bosch.com>  Wed, 13 May 2020 22:00:00 -0000

ros-foxy-fmi-adapter (0.1.7-1focal) focal; urgency=high

  * Fixed sporadic exception in case of small external steps.
  * Fixed fmuLocation argument for fmi2_import_instantiate.

 -- Ralph Lange <ralph.lange@de.bosch.com>  Wed, 29 Jan 2020 23:00:00 -0000

ros-foxy-fmi-adapter (0.1.6-1focal) focal; urgency=high

  * Release for ROS 2 Eloquent.
  * Changed build files for use of fmilibrary_vendor package.

 -- Ralph Lange <ralph.lange@de.bosch.com>  Mon, 04 Nov 2019 23:00:00 -0000

ros-foxy-fmi-adapter (0.1.5-1focal) focal; urgency=high

  * Adapted to new Dashing features, including QoS, parameter declaration and node composition.

 -- Ralph Lange <ralph.lange@de.bosch.com>  Thu, 23 May 2019 22:00:00 -0000

ros-foxy-fmi-adapter (0.1.4-1focal) focal; urgency=high

  * Fixed link to FMU-SDK.

 -- Ralph Lange <ralph.lange@de.bosch.com>  Wed, 22 May 2019 22:00:00 -0000

ros-foxy-fmi-adapter (0.1.3-1focal) focal; urgency=high

  * Fixed install target location of shared library.
  * Improved code snippets on use of FMIAdapter class in README.

 -- Ralph Lange <ralph.lange@de.bosch.com>  Thu, 31 Jan 2019 23:00:00 -0000

ros-foxy-fmi-adapter (0.1.2-1focal) focal; urgency=high

  * Cleaned up dependency entries in package.xml.
  * Added explicit target dependencies for parallel building.

 -- Ralph Lange <ralph.lange@de.bosch.com>  Thu, 24 Jan 2019 23:00:00 -0000

ros-foxy-fmi-adapter (0.1.1-1focal) focal; urgency=high

  * Fixed missing testing and launch dependencies.

 -- Ralph Lange <ralph.lange@de.bosch.com>  Tue, 22 Jan 2019 23:00:00 -0000

ros-foxy-fmi-adapter (0.1.0-1focal) focal; urgency=high

  * Initial version for ROS 2, ported from https://github.com/boschresearch/fmi_adapter/

 -- Ralph Lange <ralph.lange@de.bosch.com>  Thu, 17 Jan 2019 23:00:00 -0000
