=== debian/control ===
Source: ros-foxy-fmi-adapter
Section: misc
Priority: optional
Maintainer: Ralph Lange <ralph.lange@de.bosch.com>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ament-cmake-gmock, ros-foxy-ament-cmake-gtest, ros-foxy-ament-cmake-pytest, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-fmilibrary-vendor, ros-foxy-launch-testing, ros-foxy-rcl-interfaces, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-rclcpp-lifecycle, ros-foxy-rcutils, ros-foxy-std-msgs, ros-foxy-ros-workspace
Homepage: http://wiki.ros.org/fmi_adapter
Standards-Version: 3.9.2

Package: ros-foxy-fmi-adapter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-launch, ros-foxy-launch-ros, ros-foxy-rcl-interfaces, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-rclcpp-lifecycle, ros-foxy-std-msgs, ros-foxy-ros-workspace
Description: Wraps FMUs for co-simulation
